//
//  Player.swift
//  
//
//  Created by Adam BONAFOS on 21/01/2025.
//

import Foundation
public class Player {
    public let name: String
    public let color: Token
    var rules: Rules
    public init(rules: Rules, color: Token, name: String){
        self.name = name
        self.color = color
        self.rules = rules
    }
    public func play(board: Board) -> Move {
        fatalError("Must override in subclass")
    }
}
