//
//  Rules.swift
//  
//
//  Created by Adam BONAFOS on 14/01/2025.
//

import Foundation

public protocol Rules {
    mutating func add(board: inout Board, move pos: Move, token: Token)
    func isGameOver(board: Board) -> (result: Bool, winner: Token)
    func possibleMoves(board: Board) -> [Move]
    func nextPlayer(players: [Player]) -> Player
}
